package com.ejie.y42b.model;

import java.sql.Blob;

import org.codehaus.jackson.annotate.JsonIgnore;

/**
 * * ComunicacionFile  
 * 
 *  
 */

public class ComunicacionFile implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Long m3cofile;
	private Comunicacion comunicacion;
	private String m3nofile;
	private Blob m3datafile;
	private Integer m3sizefile;
	private String m3tedesfile;
	private String m3contenttypefile;

	/**
	 * Method 'ComunicacionFile'.
	 * 
	 */
	public ComunicacionFile() {
	}

	/**
	 * Method 'ComunicacionFile'.
	 * 
	 * @param m3cofile
	 *            Long
	 * @param m3nofile
	 *            String
	 * @param m3datafile
	 *            Blob
	 * @param m3sizefile
	 *            Integer
	 * @param m3tedesfile
	 *            String
	 * @param m3contenttypefile
	 *            String
	 * @param comunicacion
	 *            Comunicacion
	 */
	public ComunicacionFile(Long m3cofile, String m3nofile, Blob m3datafile,
			Integer m3sizefile, String m3tedesfile, String m3contenttypefile,
			Comunicacion comunicacion) {

		this.m3cofile = m3cofile;
		this.comunicacion = comunicacion;
		this.m3nofile = m3nofile;
		this.m3datafile = m3datafile;
		this.m3sizefile = m3sizefile;
		this.m3tedesfile = m3tedesfile;
		this.m3contenttypefile = m3contenttypefile;
	}

	/**
	 * Method 'getM3cofile'.
	 * 
	 * @return Long
	 */

	public Long getM3cofile() {
		return this.m3cofile;
	}

	/**
	 * Method 'setM3cofile'.
	 * 
	 * @param m3cofile
	 *            Long
	 * @return
	 */

	public void setM3cofile(Long m3cofile) {
		this.m3cofile = m3cofile;
	}

	/**
	 * Method 'getComunicacion'.
	 * 
	 * @return Comunicacion
	 */
	@JsonIgnore
	public Comunicacion getComunicacion() {
		return this.comunicacion;
	}

	/**
	 * Method 'setComunicacion'.
	 * 
	 * @param comunicacion
	 *            Comunicacion
	 * @return
	 */

	public void setComunicacion(Comunicacion comunicacion) {
		this.comunicacion = comunicacion;
	}

	/**
	 * Method 'getM3nofile'.
	 * 
	 * @return String
	 */

	public String getM3nofile() {
		return this.m3nofile;
	}

	/**
	 * Method 'setM3nofile'.
	 * 
	 * @param m3nofile
	 *            String
	 * @return
	 */

	public void setM3nofile(String m3nofile) {
		this.m3nofile = m3nofile;
	}

	/**
	 * Method 'getM3datafile'.
	 * 
	 * @return byte[]
	 */
	@JsonIgnore
	public Blob getM3datafile() {
		return this.m3datafile;
	}

	/**
	 * Method 'setM3datafile'.
	 * 
	 * @param m3datafile
	 *            byte[]
	 * @return
	 */

	public void setM3datafile(Blob m3datafile) {
		this.m3datafile = m3datafile;
	}

	/**
	 * Method 'getM3sizefile'.
	 * 
	 * @return Integer
	 */

	public Integer getM3sizefile() {
		return this.m3sizefile;
	}

	/**
	 * Method 'setM3sizefile'.
	 * 
	 * @param m3sizefile
	 *            Integer
	 * @return
	 */

	public void setM3sizefile(Integer m3sizefile) {
		this.m3sizefile = m3sizefile;
	}

	/**
	 * Method 'getM3tedesfile'.
	 * 
	 * @return String
	 */

	public String getM3tedesfile() {
		return this.m3tedesfile;
	}

	/**
	 * Method 'setM3tedesfile'.
	 * 
	 * @param m3tedesfile
	 *            String
	 * @return
	 */

	public void setM3tedesfile(String m3tedesfile) {
		this.m3tedesfile = m3tedesfile;
	}

	/**
	 * @return the m3contenttypefile
	 */
	public String getM3contenttypefile() {
		return m3contenttypefile;
	}

	/**
	 * @param m3contenttypefile
	 *            the m3contenttypefile to set
	 */
	public void setM3contenttypefile(String m3contenttypefile) {
		this.m3contenttypefile = m3contenttypefile;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ m3cofile: ").append(this.m3cofile).append(" ]");
		result.append(", [ m3nofile: ").append(this.m3nofile).append(" ]");
		result.append(", [ m3datafile: ").append(this.m3datafile).append(" ]");
		result.append(", [ m3sizefile: ").append(this.m3sizefile).append(" ]");
		result.append(", [ m3tedesfile: ").append(this.m3tedesfile)
				.append(" ]");
		result.append(", [ m3contenttypefile: ").append(this.m3contenttypefile)
				.append(" ]");
		result.append("}");
		return result.toString();
	}

}
